# Resolve User Address

Description: This API endpoint allows you to retrieve the user's address by providing their identifier, network, and token. The identifier can be a phone number, Telegram username, email address etc.  The response will provide the corresponding address associated with the user on the specified network and token.

**Request**:

> **Method**: GET
>
> **URL**: <https://api.yard.finance/v1/resolve>
>
> **Headers**:
>
> ```
> - (optional) x-partner-token: "<partner_uuid>"
> ```
>
> **Parameters**:
>
> ```
> - id: "<user_identifier>"
> - network: "btc"
> - token: "btc"
> ```

Replace <*partner\_uuid*> with the actual partner id, this header is used to attribute transaction to specific partner and accrue reward.

Replace <*user\_identifier*> with the actual identifier of the user (Telegram username, email address, or phone number).&#x20;

**Response**: The response will be a JSON object containing the user's address on the specified network and token.

* The response will include the following properties:
  * userId: Unique user identifier (uuid),
  * network: Specified network,
  * address: The user's address on the specified network,
  * extraId: Memo / Destination tag \[*only for currencies with memo/dt support, e.g. XRP*],
  * extraIdTitle: Name of memo / destination tag \[*only for currencies with memo/dt support, e.g. XRP*]
* If the provided identifiers are invalid, the response will include an error message.

Example request:

```
GET /v1/resolve?id=351408864281?network=xrp?token=xrp
```

Example Response:

```json
{
  "userId": "b1ead417-7e5c-4b0e-b408-d7a78a8d9b61",
  "network": "xrp",
  "address": "rEbmMQfw4kU78TPe2ZVhjWHUnxsHtaXhRC",
  "extraId": "228262432",
  "extraIdTitle": "Destination tag"
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.yard.finance/api/api-documentation/resolve-user-address.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
